
/* eslint-disable no-alert, no-console ,  no-debugger */
import { doFetchOrderHistory ,doFetchIncrementId} from '@/services/product.service';
import { getField, updateField } from 'vuex-map-fields';
import humps from 'lodash-humps';

export const orderlist = {
    namespaced: true,
    state: {
        inProgress: true,
        OrderHistory: {},
       
        customerId: "",
        incrementId: ""
        // createdDate: "",
        // toDate: "",
        // purchaseOrderNumber: "",

    },
    getters: {
        getField,

    },
    mutations: {
        updateField,
        inProgress(state, yesOrNo) {
            state.inProgress = yesOrNo
        },
        setOrderHistory(state, orderhistorydata) {
            state.OrderHistory = orderhistorydata
        },
        setSearchOrder(state, orderItem,customerId) {
            state.customerId=orderItem
            state.customerId=customerId

            }  ,
        // setReset(state,incrementId){
        //     state.incrementId=incrementId

        // }
    },

    actions: {
        fetchSearchOrder:async ({ commit, state} ) => {
            debugger
            const filterOrderlist = await doFetchIncrementId( state.OrderHistory,state.incrementId)
            if(filterOrderlist){
                commit('setSearchOrder', humps(filterOrderlist));
            }
        },

        // fetchReset({commit}){
        //     commit('setReset');

        // },
        fetchOrderList: async ({ commit },customerId) => {
            try {
                commit('inProgress', true);
                let OrderHistory = await doFetchOrderHistory(customerId);
                if (OrderHistory) {
                    commit('inProgress', false);
                    commit('setOrderHistory', humps(OrderHistory));
                }
            }
            catch (error) {
                commit('inProgress', false);
                throw error
            }
        },
       
       
    }
}




